/*
   ImageWindow.h - include file for gadget- and window-structures.

   (c)1990 Olaf Leimann
*/

struct TextAttr GTopaz8font = { "topaz.font",8,0,0 };

SHORT GadBData1[] = {
   0,0, 55,0, 55,11, 0,11,
   0,0, 54,0, 54,11, 1,11,
   1,0
};
SHORT GadBData2[] = {
   0,0, 63,0, 63,11, 0,11,
   0,0, 62,0, 62,11, 1,11,
   1,0
};

struct Border GadBorder1 = {
   0,0, 1,0, JAM1, 9, &GadBData1[0], NULL
};
struct Border GadBorder2 = {
   0,0, 1,0, JAM1, 9, &GadBData2[0], NULL
};

struct IntuiText GClearText = {
   1,0, JAM1, 8,2, &GTopaz8font, (UBYTE *)"Clear", NULL
};
struct IntuiText GInvertText = {
   1,0, JAM1, 4,2, &GTopaz8font, (UBYTE *)"Invert", NULL
};
struct IntuiText GRefreshText = {
   1,0, JAM1, 4,2, &GTopaz8font, (UBYTE *)"Refresh", NULL
};
struct Image GadImage3x = {
   2,1, 20,10, 2,
   NULL,
   0L,3L,NULL
};
struct Image GadImage3 = {
   0,0, 24,12, 2,
   NULL,
   0L,2L,&GadImage3x
};
struct Image GadImage2x = {
   2,1, 20,10, 2,
   NULL,
   0L,2L,NULL
};
struct Image GadImage2 = {
   0,0, 24,12, 2,
   NULL,
   0L,1L,&GadImage2x
};
struct Image GadImage1x = {
   2,1, 20,10, 2,
   NULL,
   0L,1L,NULL
};
struct Image GadImage1 = {
   0,0, 24,12, 2,
   NULL,
   0L,2L,&GadImage1x
};
struct Image GadImage0x = {
   2,1, 20,10, 2,
   NULL,
   0L,0L,NULL
};
struct Image GadImage0 = {
   0,0, 24,12, 2,
   NULL,
   0L,1L,&GadImage0x
};
struct Gadget Col3Gad = {
   NULL,
   266,12, 24,12,
   GADGIMAGE|GADGHNONE, GADGIMMEDIATE, BOOLGADGET,
   (APTR)&GadImage3, NULL,
   NULL, 0, NULL,
   7, NULL
};
struct Gadget Col2Gad = {
   &Col3Gad,
   240,12, 24,12,
   GADGIMAGE|GADGHNONE, GADGIMMEDIATE, BOOLGADGET,
   (APTR)&GadImage2, NULL,
   NULL, 0, NULL,
   6, NULL
};
struct Gadget Col1Gad = {
   &Col2Gad,
   214,12, 24,12,
   GADGIMAGE|GADGHNONE, GADGIMMEDIATE, BOOLGADGET,
   (APTR)&GadImage1, NULL,
   NULL, 0, NULL,
   5, NULL
};
struct Gadget Col0Gad = {
   &Col1Gad,
   188,12, 24,12,
   GADGIMAGE|GADGHNONE, GADGIMMEDIATE, BOOLGADGET,
   (APTR)&GadImage0, NULL,
   NULL, 0, NULL,
   4, NULL
};
struct Gadget RefreshGad = {
   &Col0Gad,
   120,12, 64,12,
   GADGHCOMP, RELVERIFY, BOOLGADGET,
   (APTR)&GadBorder2, NULL,
   &GRefreshText, 0L, NULL,
   3, NULL
};
struct Gadget InvertGad = {
   &RefreshGad,
   62,12, 56,12,
   GADGHCOMP, RELVERIFY, BOOLGADGET,
   (APTR)&GadBorder1, NULL,
   &GInvertText, 0L, NULL,
   2, NULL
};
struct Gadget ClearGad = {
   &InvertGad,
    4,12, 56,12,
   GADGHCOMP, RELVERIFY, BOOLGADGET,
   (APTR)&GadBorder1, NULL,
   &GClearText, 0L, NULL,
   1, NULL
};

#define ImageGadgets ClearGad
char CurrentWindowTitle[128] ;
char FirstWindowTitle[20]= "Image Editor v1.0" ;

struct NewWindow ImageWindow = {
   0,11,370,100,
   -1,-1,
   GADGETUP|GADGETDOWN|MOUSEBUTTONS|MENUPICK|CLOSEWINDOW|MOUSEMOVE,
   WINDOWCLOSE|WINDOWDRAG|WINDOWDEPTH|WINDOWSIZING|
   REPORTMOUSE|SMART_REFRESH|ACTIVATE,
   &ImageGadgets,
   NULL,(UBYTE *)&FirstWindowTitle[0],
   NULL, NULL,
   370,100,640,256, WBENCHSCREEN
};

